{% extends 'base.html' %}

{% block content %}
    {% if department %}
        <div class="single-department">
            <h1>{{ department.name }} </h1>
            <h2>Average salary is: {{ department.average_salary }} </h2>
        </div>

        <div class="create-form">
            <form action="" method="POST">
                {{ form.csrf_token }}
                {{ form.name.label(class='mt-3 form-control-label') }}
                {{ form.name(class='mb-3 form-control form-control-sm') }}
                {{ form.submit(class="btn btn-primary")}}
            </form>
            <div class="delete-btn">
                <button class="btn btn-danger">DELETE</button>
            </div>
        </div>

        <div class="members">
            <table>
                <tr>
                    <th>Name</th>
                    <th>Salary</th>
                </tr>
                {% for employee in employees %}
                <tr>
                    <td><a href="{{ url_for('employees.display_single_employee', _id=employee.id) }}">{{ employee.name }}</a></td>
                    <td>{{ employee.salary }}</td>
                    <td></td>
                </tr>
                {% endfor %}
            </table>
        </div>
    {% else %}
        <h2>Not found</h2>
    {% endif %}

{% endblock %}

{% block scripts %}
    <script src="{{ url_for('static', filename='script.js') }}"></script>
{% endblock %}